Skip to main content

Get Offering of Component

GET 

/api/v1/catalog/offering/component/:catalogId

This service message allows retrieval of the offering of a specific component by catalog ID.

Request

Path Parameters

    catalogId stringrequired

Responses

Schema

    id stringrequired
    version stringrequired
    projectName stringrequired
    releaseNotes string

    metadata

    object

    autoDeploy boolean

    Enable automatic deployment of this release

    postInstallAction

    object

    Post-installation action configuration

    type stringrequired

    Possible values: [NONE, WEB, EXE]

    Action type: NONE (no action), WEB (open URL), or EXE (run executable)

    url string

    URL to open (required when type is WEB)

    exePath string

    Executable path to run (required when type is EXE)

    installationSize integer

    Installation size in bytes - disk space required after installation (user-specified)

    totalSize integer

    Total size in bytes - automatically calculated as installationSize + artifactsSize

    status stringrequired

    Possible values: [draft, in_review, approved, released, archived]

    type stringrequired

    Possible values: [product, formation]

    size int64
    createdAt date-timerequired
    updatedAt date-timerequired
    latest boolean
    releasedAt date-time
    dependencies undefined[]

    policies

    object[]

    Policies associated with this release

  • Array [

  • id stringrequired

    Policy rule ID

    name stringrequired

    Policy name

    description string

    Policy description

    type stringrequired

    Possible values: [policy, restriction]

    Policy type

    association

    object

    releases

    object[]

    required

    Releases for this policy

  • Array [

  • projectId string

    Project ID

    projectName stringrequired

    Project name

    version stringrequired

    Release version

  • ]

  • version numberrequired

    Policy version number

    createdAt stringrequired

    Policy creation timestamp

    updatedAt stringrequired

    Policy last update timestamp

    isActive booleanrequired

    Whether the policy is active

    rule objectrequired

    The policy rule definition conforming to rule engine schema

  • ]

Loading...